<div>

    <div class="page-content screen-mb-50">

        <div class="">

            <div class="">
                <div class="row" *ngIf="allChats">

                    <div class="">
                        <h3 class="pt-2">Mes messages  </h3>
                        <div class="card" id="chat3" style="border-radius: 15px;" *ngIf="allChats.data.length > 0 ; else nomsg" >
                            <div class="card-body p-0">

                                <div class="row">
                                    <div class="col-md-6 col-lg-5 col-xl-4 mb-4 charl-side">
                                        <div class="bl-11">
                                            <div data-mdb-perfect-scrollbar="true" class="chtls" >
                                                <ul class="list-unstyled prsn-ul mb-0" >
                                                    <li class="p-2 border-bottom" *ngFor="let chat of allChats.data">
                                                        <div class="d-flex flex-row" (click)="gotoChat(chat)">
                                                            <div class="chat-imgp" *ngFor="let a of chat.pro_rec_images">
                                                                <!-- {{baseurl}}static/public/ {{a[0]}} -->
                                                                <img src="{{baseurl}}static/public/{{a[0]}}" class="d-flex align-self-center me-3 br-50 chat-img" alt="avatar" width="50">
                                                                <span class="badge bg-success badge-dot"></span>
                                                            </div>
                                                            <div class="pt-1 pro-des">
                                                                <h5 class="title o-pro">
                                                                    <strong>{{chat.pro_rec_title}}</strong>
                                                                </h5>
                                                                <p class="o-pro">{{chat.message}}</p>
                                                                <p><span class="o-date">{{chat.created_at |date:'d/M/yy, hh\'h\'mm'}}</span>
                                                                    

                                                                </p>
                                                                <p>{{chat.user_first_name}} {{chat.user_last_name}}
                                                                    <span class="flag-trash">
                                                                        <a href="javascript:void0;"
                                                                            data-bs-toggle="modal"
                                                                            data-bs-target="#myModalf"><i
                                                                                class="fa-solid fa-flag"></i></a>
                                                                        <!-- <a href="javascript:void0;"
                                                                            data-bs-toggle="modal"
                                                                            data-bs-target="#myModalt"><i
                                                                                class="fa-solid fa-trash"></i></a> -->
                                                                                <a (click)="deletemyChat(chat)"><i
                                                                                    class="fa-solid fa-trash"></i></a>
                                                                    </span>
                                                                </p>
                                                            </div>
                                                        </div>
                                                    </li>

                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-lg-7 col-xl-8 chatr-side">

                                        <div class="pt-3 chat-r" data-mdb-perfect-scrollbar="true" *ngIf="sellerChat">

                                            <div>
                                                <div *ngFor="let user of sellerChat">
                                                    <div class="d-flex flex-row justify-content-start" *ngIf="user.message_by == 1">
                                                        <img class="br-50" src="assets/build/img/people.png" alt="avatar 1" style="width: 45px; height: 45px;">
                                                        <div class="w-70">
                                                            <p class="small p-2 ms-3 mb-1 rounded-3" style="background-color: #f0f8ff;">{{user.message}}</p>
                                                            <p class="small ms-3 mb-3 rounded-3 text-muted float-end">
                                                                {{user.created_at |date:'d/M/yy, hh\'h\'mm'}}</p>
                                                        </div>
                                                    </div>
                                                    <div class="d-flex flex-row justify-content-end" *ngIf="user.message_by == 2">
                                                        <div class="w-70">
                                                            <p class="small p-2 me-3 mb-1 text-white rounded-3 " style="background: antiquewhite;color: #333 !important;">
                                                                {{user.message}}</p>
                                                            <p class="small me-3 mb-3 rounded-3 text-muted">
                                                                {{user.created_at |date:'d/M/yy, hh\'h\'mm'}}</p>
                                                        </div>
                                                        <img class="br-50"  src="assets/build/img/people.png" alt="avatar 1" style="width: 45px; height: 45px;">
                                                        <!-- <i class="fa fa-user br-50"></i> -->
                                                    </div>
                                                </div>
                                            </div>



                                            <div class="pt-8 cht-div" >
                                                <div class="write">

                                                    <input type="text" (input)="mymessege=$event.target">
                                             

                                                </div>
                                                <div class="send-buton">
                                                    <a (click)="sendMessege()" class="write-link attach"></a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <ng-template #nomsg>
                            <div style="text-align: center;">
                                <img class="mw-100" src="./assets/build/img/nomsg.jpg" width="300" />
                            </div>
                        </ng-template>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal" id="myModalf">
            <div class="modal-dialog">
                <div class="modal-content">
                    <!-- Modal Header -->
                    <div class="modal-header">
                        <h4 class="modal-title">Signaler cet utilisateur</h4>
                        <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
                    </div>
                    <!-- Modal body -->
                    <div class="modal-body">
                        <ul class="flag-ul">
                            <li>
                                <label class="container-r">Attitude discriminatoire ou insultes
                                <input type="radio"  name="radio">
                                <span class="checkmark-r"></span>
                            </label>
                            </li>
                            <li>
                                <label class="container-r">Comportement inapproprié, offensant ou sexuel
                                <input type="radio"  name="radio">
                                <span class="checkmark-r"></span>
                            </label>
                            </li>
                            <li>
                                <label class="container-r">Menaces
                                <input type="radio"  name="radio">
                                <span class="checkmark-r"></span>
                            </label>
                            </li>
                        </ul>
                        <div>
                            <button type="button" class="btn btn-signs" data-bs-dismiss="modal">Soumette</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- End flag model -->
        <!-- trash model -->
        <!-- The Modal -->
        <div class="modal" id="myModalt">
            <div class="modal-dialog">
                <div class="modal-content">
                    <!-- Modal body -->
                    <div class="modal-body">
                        <div class="text-center pb-3">
                            <h4 class="modal-title pb-3">Voulez-vous vraiment supprimer cette conversation?</h4>
                            <button type="button" class="btn btn-signs w-a pt-1" data-bs-dismiss="modal">Annuler</button>
                            <button type="button" class="btn btn-signs w-a" data-bs-dismiss="modal">Supprimer</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>


    </div>